## getfem++ 4.2.1~beta1~svn4482~dfsg

=== doc/doxygen/Makefile ===
all: clean remake

clean:
	rm -rf getfem_reference && mkdir getfem_reference

remake:
	( cd ../.. && doxygen doc/doxygen/Doxyfile > /dev/null ) && ../../bin/upload_documentation --delete getfem_reference


#( cd ../.. && doxygen doc/doxygen/Doxyfile > /dev/null ) && tar czvf html_getfem_reference.tar.gz getfem_reference && cp html_getfem_reference.tar.gz ../../../getfem_html/

=== doc/gmmuser/Makefile ===
all : gmmuser.pdf

# FIGS=gmmuserelemf.fig gmmuserelem.fig
PDFFIGS=$(FIGS:.fig=.pdf)
PNGFIGS=$(PDFFIGS:.pdf=.png) gmmlogo.png gmmlogo_small.png

.SUFFIXES: .tex .dvi .ps .pdf .eps .fig .png

.fig.eps:
	fig2dev -L eps $(@:.eps=.fig) > $@

.eps.pdf:
	epstopdf $(@:.pdf=.eps) --outfile=$@

gmmuser.idx : gmmuser.tex
	touch gmmuser.idx

gmmuser.ilg: gmmuser.idx
	makeindex gmmuser.idx

# gmmuserelemf.png: gmmuserelemf.pdf
#	convert -resize 500x500 $(@:.png=.pdf) $@
#
# gmmuserelem.png: gmmuserelem.pdf
#	convert -resize 500x500 $(@:.png=.pdf) $@

TEXOPTS='-interaction=nonstopmode'
TEXMSGFILTER=grep 'LaTeX\|[Ww]arning\|^l\.\|^\!\|^<'

gmmuser.pdf: gmmuser.tex $(PDFFIGS) gmmuser.ilg
	-pdflatex $(TEXOPTS) gmmuser.tex | $(TEXMSGFILTER) && if (grep Rerun gmmuser.log || grep 'undefined references' gmmuser.log) ; then echo 'RERUN!'; pdflatex $(TEXOPTS) gmmuser.tex | $(TEXMSGFILTER); fi;

html:	gmmuser.tex gmmuser.ilg $(PNGFIGS)
	-rm -rf gmmuser/
	hyperlatex gmmuser.tex
	(cd gmmuser && ../cleanup_html_doc.pl)

pdfupload: gmmuser.pdf
	../../bin/upload_documentation gmmuser.pdf

#if [ -d ../../../getfem_html ]; then \
#          cp gmmuser.pdf ../../../getfem_html; \
#fi

htmlupload: html
	cp $(PNGFIGS) gmmuser/
	cp docstyle.css gmmuser/
	cp next.gif up.gif previous.gif gmmuser/
	../../bin/upload_documentation gmmuser

#tar czvf html_gmmuser.tar.gz gmmuser
#if [ -d ../../../getfem_html ]; then \
#          cp html_gmmuser.tar.gz ../../../getfem_html; \
#       fi

all: htmlupload pdfupload

clean:
	-rm -f *.dvi *.log *.toc *.bbl *.aux *.tmp *.ps.gz gmmuser.ps gmmuser.pdf gmmuser.blg gmmuser.out
	-find . -name '*~' -exec rm \{\} \;
	-find . -name '*.bak' -exec rm \{\} \;

=== doc/kernel/Makefile ===
all : pdfupload

getfemlist_segment_Pk.eps : getfemlist_segment_Pk.fig
	fig2eps getfemlist_segment_Pk.fig

getfemlist_extrans.eps : getfemlist_extrans.fig
	fig2eps getfemlist_extrans.fig

getfemelem.dvi : getfemelem.tex getfemelemint.tex getfemeleminta.tex getfemelemfem.tex
	latex getfemelem.tex; latex getfemelem.tex

getfemelem.pdf : getfemelem.dvi
	dvips getfemelem -z -Pamz -Pcmz -o 
	ps2pdf getfemelem.ps getfemelem.pdf;


# dvips getfemelem -z -Pamz -Pcmz -o -p1

getfemlist.dvi : getfemlist.tex getfemlist_segment_Pk.eps getfemlist_extrans.eps 
	latex getfemlist.tex; latex getfemlist.tex

getfemlist.pdf : getfemlist.dvi
	dvips getfemlist -z -Pamz -Pcmz -o 
	ps2pdf getfemlist.ps getfemlist.pdf; 

#	dvips getfemlist -z -Pamz -Pcmz -o -p1

pdfupload: getfemlist.pdf getfemelem.pdf
	../../bin/upload_documentation getfemlist.pdf
	../../bin/upload_documentation getfemelem.pdf

=== interface/src/scilab/help/latex/Makefile ===
OUTPUT=$@
TEXOPTS='-interaction=nonstopmode'
TEXMSGFILTER=grep 'LaTeX\|[Ww]arning\|^l\.\|^\!\|^<'
FIGS=hierarchy.fig



PDFFIGS=$(FIGS:.fig=.pdf) fempk51.pdf
PNGFIGS=$(PDFFIGS:.pdf=.png)

BASEPNGFIGS=donut_small.png tripodvonmiseswithmesh_small.png logogetfem.png logo_getfem_small.png

#png not in html doc
OTHERPNGFIGS=donut.png tripodvonmiseswithmesh.png logogetfemwhitebg.png

.SUFFIXES: .tex .dvi .ps .pdf .eps .fig .png

.fig.pdf:
	fig2dev -L eps $(@:.pdf=.fig) > $(@:.pdf=.eps)
	epstopdf $(@:.pdf=.eps) --outfile=$@

all : pdfupload htmlupload
	if [ -d ../../getfem_html ]; then \
           cp getfem_matlab.pdf ../../getfem_html; \
        fi

.eps.pdf:
	epstopdf $(@:.pdf=.eps) --outfile=$@

hierarchy.png: hierarchy.pdf
	convert -resize 400x400 $(@:.png=.pdf) $@

fempk51.png: fempk51.pdf
	convert -resize 300x200 $(@:.png=.pdf) $@

#donut.pdf:
#	convert -resize 500x500 $(@:.pdf=.png) $@

#tripodvonmiseswithmesh.pdf:
#	convert -resize 500x500 $(@:.pdf=.png) $@

#.eps2 ; mv $@.eps2 $@


#dvi::
#	latex $(TEXOPTS) gfm.tex | $(TEXMSGFILTER)

gfm.tex : getfemmatlab.tex
	perl ../bin/latexize_mcode.pl < getfemmatlab.tex > gfm.tex;


demolaplacian.tex : ../tests/matlab/demo_laplacian.m
	../bin/latexize_mfile.sh ../tests/matlab/demo_laplacian.m demolaplacian.tex

demotripod.tex: ../tests/matlab/demo_tripod.m
	../bin/latexize_mfile.sh ../tests/matlab/demo_tripod.m demotripod.tex

demorefine.tex: ../tests/matlab/demo_refine.m
	../bin/latexize_mfile.sh ../tests/matlab/demo_refine.m demorefine.tex

#gfm.dvi : gfm.tex $(PDFFIGS)
#	-latex $(TEXOPTS) gfm.tex | $(TEXMSGFILTER) && if (grep Rerun gfm.log || grep 'undefined references' gfm.log) ; then echo 'RERUN!'; latex $(TEXOPTS) gfm.tex | $(TEXMSGFILTER); fi;
#
#getfem_matlab.ps : gfm.dvi
#	dvips gfm -z -Pamz -Pcmz -o getfem_matlab.ps -p1

getfem_matlab.pdf : $(PDFFIGS) $(PNGFIGS) gfm.tex gfm.idx demolaplacian.tex demotripod.tex demorefine.tex
	-pdflatex $(TEXOPTS) gfm.tex | $(TEXMSGFILTER) && if (grep Rerun gfm.log || grep 'undefined references' gfm.log) ; then echo 'RERUN!'; pdflatex $(TEXOPTS) gfm.tex | $(TEXMSGFILTER); fi;
	mv gfm.pdf getfem_matlab.pdf

gfm.idx : gfm.tex
	touch -a gfm.idx
	makeindex gfm.idx

.PHONY : clean
clean:
	-rm -f *.dvi *.log *.toc *.bbl *.aux *.tmp *.ps.gz gfm.ps gfm.pdf gfm.blg gfm.out
	-find . -name '*~' -exec rm \{\} \;
	-find . -name '*.bak' -exec rm \{\} \;

html:	gfm.tex gfm.idx
	-rm -rf gfm/
	hyperlatex gfm.tex
	( cd gfm && ../cleanup_html_doc.pl ) && rm -fr getfem_matlab && mv gfm getfem_matlab

htmlupload: html
	cp $(PNGFIGS) $(BASEPNGFIGS) getfem_matlab/
	cp docstyle.css getfem_matlab/
	cp next.gif up.gif previous.gif getfem_matlab/
	../../bin/upload_documentation getfem_matlab
	../../bin/upload_documentation getfem_python_reference.html

pdfupload: getfem_matlab.pdf
	../../bin/upload_documentation getfem_matlab.pdf

#tar czvf html_gfm.tar.gz gfm
#if [ -d ../../../getfem_html ]; then \
#          cp html_gfm.tar.gz ../../../getfem_html; \
#       fi

=== debian/changelog ===
getfem++ (4.2.1~beta1~svn4482~dfsg-3ubuntu4) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 23:42:09 +0000

getfem++ (4.2.1~beta1~svn4482~dfsg-3ubuntu3) utopic; urgency=medium

  * Don't build empty scilab package on ppc64el, for real.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 02 May 2014 02:41:31 +0100

getfem++ (4.2.1~beta1~svn4482~dfsg-3ubuntu2) utopic; urgency=medium

  * Do not build scilab on ppc64el & arm64 either.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 May 2014 23:14:02 +0100

getfem++ (4.2.1~beta1~svn4482~dfsg-3ubuntu1) utopic; urgency=medium

  * Disable scilab plugin on powerpc, as scilab fails to launch on powerpc
    (LP: #1314646)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 May 2014 22:20:16 +0100

getfem++ (4.2.1~beta1~svn4482~dfsg-3) unstable; urgency=medium

  * Team upload.
  * [e6eeb35] Update (build-) dependencies for libsuperlu3-dev ->
    libsuperlu-dev transition.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 06 Mar 2014 21:32:27 +0100

getfem++ (4.2.1~beta1~svn4482~dfsg-2) unstable; urgency=low

  * [7e66c7a] Let muparser be built on hurd.

 -- Anton Gladky <gladk@debian.org>  Mon, 09 Dec 2013 19:54:15 +0100

getfem++ (4.2.1~beta1~svn4482~dfsg-1) unstable; urgency=low

  * [a0095fe] Imported Upstream version 4.2.1~beta1~svn4482~dfsg
  * [388b847] Refresh patch.
  * [e79cef1] Bump Standards-Version 3.9.5. No changes.

 -- Anton Gladky <gladk@debian.org>  Thu, 05 Dec 2013 18:17:20 +0100

=== debian/control ===
Source: getfem++
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Konstantinos Poulios <poulios.konstantinos@gmail.com>,
 Anton Gladky <gladk@debian.org>
Build-Depends:
 autoconf,
 automake,
 autotools-dev,
 debhelper (>= 9),
 dh-autoreconf,
 libblas-dev,
 libboost-all-dev,
 libmetis-dev,
 libmumps-seq-dev,
 libmuparser-dev,
 libqhull-dev,
 libsuperlu-dev,
 libtool,
 python-all-dev,
 python-numpy,
 python-scipy,
 python-support (>= 1.0.4),
 scilab [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x !powerpc !ppc64el !arm64],
 scilab-include  [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x !powerpc !ppc64el !arm64]
Standards-Version: 3.9.5
Section: libs
Homepage: http://home.gna.org/getfem/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/getfem.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/getfem.git

Package: libgetfem++-dbg
Section: debug
Architecture: any
Depends:
 libgetfem4++v5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Debugging symbols for the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the GETFEM++ packages.

Package: libgetfem++-dev
Section: libdevel
Architecture: any
Depends:
 libboost-dev,
 libgetfem4++v5 (= ${binary:Version}),
 libgmm++-dev,
 libmuparser-dev [!hurd-i386],
 libsuperlu-dev,
 ${misc:Depends}
Description: Development files for the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains development files for building software that uses the
 GETFEM++ library.

Package: libgetfem4++v5
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: libgetfem4++
Replaces: libgetfem4++
Description: GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.

Package: libgmm++-dev
Section: libdevel
Architecture: all
Depends:
 libmumps-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Generic C++ template library for sparse, dense and skyline matrices
 GMM++ is a framework of pre-defined methods for matrix computation. It is built
 as a set of generic algorithms for any interfaced vector type or matrix type.
 .
 It can be viewed as a glue library allowing cooperation between several vector
 and matrix types. However, basic sparse, dense and skyline matrix/vector types
 are built-in, hence it can be used as a standalone linear algebra library.

Package: python-getfem++
Section: python
Architecture: any
Depends:
 libgetfem4++v5 (= ${binary:Version}),
 python (<<2.8),
 python (>= 2.7),
 python-numpy,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
X-Python-Version: current
Provides:
 ${python:Provides}
Description: Python interface to the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains the Python interface to GETFEM++.

Package: scilab-getfem++
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Architecture: alpha amd64 armel armhf i386 ia64 mips mipsel s390 s390x sparc
Depends:
 libgetfem4++v5 (= ${binary:Version}),
 scilab,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Scilab interface to the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains the Scilab interface to GETFEM++.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2 --parallel --with autoreconf

#=====================================================================

export CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

export LD_LIBRARY_PATH :=$(LD_LIBRARY_PATH):$(CURDIR)/./src/.libs/

configure_flags= $(CROSS) --prefix=/usr \
		--enable-boost --enable-shared --with-pic \
		--enable-python --enable-metis \
		--disable-matlab --disable-superlu \
		--enable-muparser --enable-mumps \
		--with-mumps="-lsmumps_seq -ldmumps_seq -lcmumps_seq -lzmumps_seq -lpord_seq"  

disable_scilab_archs   = mips kfreebsd-amd64 kfreebsd-i386 s390x hurd-i386 armhf powerpc ppc64el arm64
ifneq (,$(filter $(DEB_HOST_ARCH), $(disable_scilab_archs)))
	configure_flags += --disable-scilab
else
	configure_flags += --enable-scilab --with-scilab-toolbox-dir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/scilab-getfem++/
endif


#=====================================================================

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_build:
	dh_auto_build
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/scilab-getfem++/

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp 
	# Workaround for the other archs without scilab getfem++
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/scilab-getfem++/
	mkdir -p $(CURDIR)/debian/scilab-getfem++/usr/share/scilab/contrib/
	cd $(CURDIR)/debian/scilab-getfem++/usr/share/scilab/contrib/; \
	rm -f scilab-getfem++; \
	ln -s ../../../lib/$(DEB_HOST_MULTIARCH)/scilab-getfem++/ getfem++

override_dh_install:
	dh_install --list-missing
	dh_numpy

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip-arch:
	dh_strip -a --dbg-package=libgetfem++-dbg

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_auto_test:

## getfem++ 4.2.1~beta1~svn4635~dfsg

=== doc/getfem_project/Makefile ===
all : getfem_project.pdf

FIGS=getfemuserelemf.fig diagram.fig getfemelemelem.fig getfemelemtrans.fig


PDFFIGS=$(FIGS:.fig=.pdf)
PNGFIGS=$(PDFFIGS:.pdf=.png)

.SUFFIXES: .tex .dvi .ps .pdf .eps .fig .png

.fig.eps:
	../../bin/fig2eps $(@:.eps=.fig)
#	fig2dev -L eps $(@:.eps=.fig) > $@

.eps.pdf:
	epstopdf $(@:.pdf=.eps) --outfile=$@

.pdf.png:
	convert $(@:.png=.pdf) $@

doxygenlinks.tex: updatedoxlinks.py
	python ./updatedoxlinks.py

getfemuserelemf.png: getfemuserelemf.pdf
	convert -resize 500x500 $(@:.png=.pdf) $@

getfemelemelem.png: getfemelemelem.pdf
	convert -resize 500x500 $(@:.png=.pdf) $@

diagram.png: diagram.pdf
	convert $(@:.png=.pdf) $@

TEXOPTS='-interaction=nonstopmode'
TEXMSGFILTER=grep 'LaTeX\|[Ww]arning\|^l\.\|^\!\|^<'

getfem_project.pdf: getfem_project.tex $(PDFFIGS) doxygenlinks.tex
	-pdflatex $(TEXOPTS) getfem_project.tex | $(TEXMSGFILTER) && if (grep Rerun getfem_project.log || grep 'undefined references' getfem_project.log) ; then echo 'RERUN!'; pdflatex $(TEXOPTS) getfem_project.tex | $(TEXMSGFILTER); fi;

html:	getfem_project.tex getfem_project.idx $(PNGFIGS)
	-rm -rf getfem_project/
	hyperlatex getfem_project.tex
	(cd getfem_project && ../cleanup_html_doc.pl)

pdfupload: getfem_project.pdf
	../../bin/upload_documentation getfem_project.pdf
#if [ -d ../../../getfem_html ]; then \
#          cp getfem_project.pdf ../../../getfem_html; \
#fi

htmlupload: html
	cp $(PNGFIGS) getfem_project/
	cp docstyle.css getfem_project/
	cp *.png getfem_project/
	cp next.gif up.gif previous.gif getfem_project/
	../../bin/upload_documentation getfem_project

#tar czvf html_getfem_project.tar.gz getfem_project
#if [ -d ../../../getfem_html ]; then \
#         cp html_getfem_project.tar.gz ../../../getfem_html; \
#fi

all: htmlupload pdfupload

clean:
	-rm -f *.dvi *.log *.toc *.bbl *.aux *.tmp *.ps.gz getfem_project.ps getfem_project.pdf getfem_project.blg getfem_project.out
	-find . -name '*~' -exec rm \{\} \;
	-find . -name '*.bak' -exec rm \{\} \;

=== doc/userdoc/Makefile ===
all : getfemuser.pdf

FIGS=getfemuserelemf.fig getfemuserelem.fig getfemuserrefine.fig            \
     getfemlistsymbols.fig getfemlistsegmentPk.fig getfemlisttriangleP1.fig \
     getfemlisttriangleP2.fig getfemlisttriangleP3.fig                      \
     getfemlisttriangleP6.fig getfemlisttetrahedronP1.fig                   \
     getfemlisttetrahedronP2.fig getfemlisttetrahedronP4.fig                \
     getfemlistquadQ1.fig getfemlistquadQ3.fig getfemlistcubeQ1.fig         \
     getfemlistcubeQ3.fig getfemlistprismP1.fig getfemlistprismP3.fig       \
     getfemlistprismP2P1.fig getfemlistincomplete.fig                       \
     getfemlistsegmenthier.fig                                              \
     getfemlisttriangleP1comp.fig getfemlisttriangleP1comphier.fig          \
     getfemlistRT0.fig getfemlistnedelec.fig getfemlistsegmenthermite.fig   \
     getfemlistsegmentbubble.fig getfemlisttriangleP1bubble.fig             \
     getfemlisttriangleP2bubble.fig getfemlisttriangleP1withP2face.fig      \
     getfemlisttriangleP1bubbleface.fig getfemlisttriangleP1linbubble.fig   \
     getfemlisttriangleP1nonconforming.fig getfemlisttrianglehermite.fig    \
     getfemlistmorley.fig getfemlistargyris.fig getfemlistHCT.fig           \
     getfemlistreducedHCT.fig getfemlistquadc1composite.fig                 \
     getfemlistreducedquadc1composite.fig getfemlisttetrahedronP1bubble.fig \
     getfemlisttetrahedronP2bubble.fig getfemlisttetrahedronP3bubble.fig    \
     getfemlisttetrahedronP1bubbleface.fig getfemlisttetrahedronhermite.fig \
     getfemlistintmethodtriangle1.fig getfemlistintmethodtriangle2.fig      \
     getfemlistintmethodtriangle3.fig getfemlistintmethodtriangle4.fig      \
     getfemlistintmethodtriangle5.fig getfemlistintmethodtriangle6.fig      \
     getfemlistintmethodtriangle7.fig getfemlistintmethodquad2.fig          \
     getfemlistintmethodquad3.fig getfemlistintmethodquad5.fig              \
     getfemlistintmethodtriangle2comp.fig getfemuserlinsysDir.fig           \
     getfemlistintmethodtetrahedron1.fig getfemuserlinearsys.fig            \
     getfemlistintmethodtetrahedron2.fig                                    \
     getfemlistintmethodtetrahedron3.fig                                    \
     getfemlistintmethodtetrahedron5.fig

PDFFIGS=$(FIGS:.fig=.pdf)
PNGFIGS=$(PDFFIGS:.pdf=.png)

.SUFFIXES: .tex .dvi .ps .pdf .eps .fig .png

.fig.eps:
	../../bin/fig2eps $(@:.eps=.fig)
#	fig2dev -L eps $(@:.eps=.fig) > $@

.eps.pdf:
	epstopdf $(@:.pdf=.eps) --outfile=$@

.pdf.png:
	convert $(@:.png=.pdf) $@

doxygenlinks.tex: updatedoxlinks.py
	python ./updatedoxlinks.py

getfemuserelemf.png: getfemuserelemf.pdf
	convert -density 80x80 $(@:.png=.pdf) $@

getfemuserelem.png: getfemuserelem.pdf
	convert -density 80x80 $(@:.png=.pdf) $@

getfemuserlinsysDir.png: getfemuserlinsysDir.pdf
	convert -density 100x100 $(@:.png=.pdf) $@

getfemuserlinearsys.png: getfemuserlinearsys.pdf
	convert -density 100x100 $(@:.png=.pdf) $@


TEXOPTS='-interaction=nonstopmode'
TEXMSGFILTER=grep 'LaTeX\|[Ww]arning\|^l\.\|^\!\|^<'

getfemuser.pdf: getfemuser.tex $(PDFFIGS) doxygenlinks.tex
	-pdflatex $(TEXOPTS) getfemuser.tex | $(TEXMSGFILTER) && if (grep Rerun getfemuser.log || grep 'undefined references' getfemuser.log) ; then echo 'RERUN!'; pdflatex $(TEXOPTS) getfemuser.tex | $(TEXMSGFILTER); fi;

#getfemuser.dvi : getfemuser.tex
#	latex getfemuser.tex; makeindex getfemuser.idx; latex getfemuser.tex; makeindex getfemuser.idx; latex getfemuser.tex

#getfemuser.ps : getfemuser.dvi
#	dvips getfemuser -z -Pamz -Pcmz -o
#	ps2pdf getfemuser.ps getfemuser.pdf; \
#	cp getfemuser.ps getfemuser.pdf ../../../getfem_html/;

html:	getfemuser.tex getfemuser.idx $(PNGFIGS)
	-rm -rf getfemuser/
	hyperlatex getfemuser.tex
	(cd getfemuser && ../cleanup_html_doc.pl)

pdfupload: getfemuser.pdf
	../../bin/upload_documentation getfemuser.pdf
#if [ -d ../../../getfem_html ]; then \
#          cp getfemuser.pdf ../../../getfem_html; \
#fi

htmlupload: html
	cp $(PNGFIGS) getfemuser/
	cp docstyle.css getfemuser/
	cp logogetfem.png logo_getfem_small.png getfemuser/
	cp getfemuserrefine.png getfemuser/
	cp next.gif up.gif previous.gif getfemuser/
	../../bin/upload_documentation getfemuser

#tar czvf html_getfemuser.tar.gz getfemuser
#if [ -d ../../../getfem_html ]; then \
#         cp html_getfemuser.tar.gz ../../../getfem_html; \
#fi

all: pdfupload htmlupload

clean:
	-rm -f *.dvi *.log *.toc *.bbl *.aux *.tmp *.ps.gz *.pdf getfemuser.ps getfemuser.blg getfemuser.out getfemuser.idx getfemuser.brf
	-find . -name '*~' -exec rm \{\} \;
	-find . -name '*.bak' -exec rm \{\} \;

=== doc/sphinx/source/project/images/Makefile ===
FIGS=diagram.fig \
     getfemelemelem.fig \
     getfemtransgeo.fig

EPSFIGS=$(FIGS:.fig=.eps)
PNGFIGS=$(FIGS:.fig=.png)

.SUFFIXES: .fig .eps .png

.fig.eps:
	../../../../../bin/fig2eps $(@:.eps=.fig)

.eps.png:
	convert $(@:.png=.eps) $@

png: $(PNGFIGS)

clean:
	-rm -rf *.aux
	-rm -rf *.dvi
	-rm -rf *.log
	-rm -rf *.bak
	-rm -rf $(EPSFIGS)
	-rm -rf $(PNGFIGS)

=== doc/sphinx/source/scilab/images/Makefile ===
FIGS=hierarchy.fig

EPSFIGS=$(FIGS:.fig=.eps)
PNGFIGS=$(FIGS:.fig=.png)

.SUFFIXES: .fig .eps .png

.fig.eps:
	../../../../../bin/fig2eps $(@:.eps=.fig)

.eps.png:
	convert $(@:.png=.eps) $@

png: $(PNGFIGS)

clean:
	-rm -rf *.aux
	-rm -rf *.dvi
	-rm -rf *.log
	-rm -rf *.bak
	-rm -rf $(EPSFIGS)
	-rm -rf $(PNGFIGS)

=== doc/sphinx/source/userdoc/images/Makefile ===
FIGS=getfemlistargyris.fig                   \
     getfemlistcubeQ1.fig                    \
     getfemlistcubeQ3.fig                    \
     getfemlistHCT.fig                       \
     getfemlistincomplete.fig                \
     getfemlistintmethodquad2.fig            \
     getfemlistintmethodquad3.fig            \
     getfemlistintmethodquad5.fig            \
     getfemlistintmethodtetrahedron1.fig     \
     getfemlistintmethodtetrahedron2.fig     \
     getfemlistintmethodtetrahedron3.fig     \
     getfemlistintmethodtetrahedron5.fig     \
     getfemlistintmethodtriangle1.fig        \
     getfemlistintmethodtriangle2comp.fig    \
     getfemlistintmethodtriangle2.fig        \
     getfemlistintmethodtriangle3.fig        \
     getfemlistintmethodtriangle4.fig        \
     getfemlistintmethodtriangle5.fig        \
     getfemlistintmethodtriangle6.fig        \
     getfemlistintmethodtriangle7.fig        \
     getfemlistmorley.fig                    \
     getfemlistnedelec.fig                   \
     getfemlistprismP1.fig                   \
     getfemlistprismP2P1.fig                 \
     getfemlistprismP3.fig                   \
     getfemlistquadc1composite.fig           \
     getfemlistquadQ1.fig                    \
     getfemlistquadQ3.fig                    \
     getfemlistreducedHCT.fig                \
     getfemlistreducedquadc1composite.fig    \
     getfemlistRT0.fig                       \
     getfemlistsegmentbubble.fig             \
     getfemlistsegmenthermite.fig            \
     getfemlistsegmenthier.fig               \
     getfemlistsegmentPk.fig                 \
     getfemlistsymbols00.fig                 \
     getfemlistsymbols01.fig                 \
     getfemlistsymbols02.fig                 \
     getfemlistsymbols03.fig                 \
     getfemlistsymbols04.fig                 \
     getfemlistsymbols05.fig                 \
     getfemlistsymbols06.fig                 \
     getfemlistsymbols07.fig                 \
     getfemlistsymbols08.fig                 \
     getfemlistsymbols09.fig                 \
     getfemlistsymbols10.fig                 \
     getfemlistsymbols11.fig                 \
     getfemlistsymbols12.fig                 \
     getfemlistsymbols13.fig                 \
     getfemlisttetrahedronhermite.fig        \
     getfemlisttetrahedronP1bubbleface.fig   \
     getfemlisttetrahedronP1bubble.fig       \
     getfemlisttetrahedronP1.fig             \
     getfemlisttetrahedronP2bubble.fig       \
     getfemlisttetrahedronP2.fig             \
     getfemlisttetrahedronP3bubble.fig       \
     getfemlisttetrahedronP4.fig             \
     getfemlisttrianglehermite.fig           \
     getfemlisttriangleP1bubbleface.fig      \
     getfemlisttriangleP1bubble.fig          \
     getfemlisttriangleP1comp.fig            \
     getfemlisttriangleP1comphier.fig        \
     getfemlisttriangleP1.fig                \
     getfemlisttriangleP1linbubble.fig       \
     getfemlisttriangleP1nonconforming.fig   \
     getfemlisttriangleP1withP2face.fig      \
     getfemlisttriangleP2bubble.fig          \
     getfemlisttriangleP2.fig                \
     getfemlisttriangleP3.fig                \
     getfemlisttriangleP6.fig                \
     getfemuserelemf.fig                     \
     getfemuserelem.fig                      \
     getfemuserlinearsys.fig                 \
     getfemuserlinsysDir.fig                 \
     getfemuserrefine.fig		     \
     getfemusermodelmasterslave.fig          \
     getfemusermodeldetectcontact.fig        \
     getfemusermodelfalsecontact1.fig        \
     getfemusermodelfalsecontact2.fig

EPSFIGS=$(FIGS:.fig=.eps)
PNGFIGS=$(FIGS:.fig=.png)

.SUFFIXES: .fig .eps .png

.fig.eps:
	../../../../../bin/fig2eps $(@:.eps=.fig)

.eps.png:
	convert -density 100 $(@:.png=.eps) $@

png: $(PNGFIGS)

clean:
	-rm -rf *.aux
	-rm -rf *.dvi
	-rm -rf *.log
	-rm -rf *.bak
	-rm -rf $(EPSFIGS)
	-rm -rf $(PNGFIGS)

=== debian/changelog ===
getfem++ (4.2.1~beta1~svn4635~dfsg-5ubuntu2) xenial; urgency=medium

  * No-change rebuild for qhull transition.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 06:49:04 +0000

getfem++ (4.2.1~beta1~svn4635~dfsg-5ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not build scilab plugin on powerpc or ppc64el.
  * Dropped changes, included in Debian:
    - Do not build scilab plugin on arm64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 Nov 2015 10:59:34 -0800

getfem++ (4.2.1~beta1~svn4635~dfsg-5) unstable; urgency=medium

  * [d2f05df] Disable scilab-bindings on armel.
  * [1be577a] Drop python-support. (Closes: #786080)
  * [6631d16] Set Standatds-Version: 3.9.6. No changes.
  * [b8be6f0] Disable scilab on arm64. (Closes: #791539)

 -- Anton Gladky <gladk@debian.org>  Tue, 01 Sep 2015 22:45:12 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-4ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not build scilab plugin on powerpc, ppc64el, or arm64
  * Dropped changes, included in Debian:
    - Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Aug 2015 20:32:03 +0000

getfem++ (4.2.1~beta1~svn4635~dfsg-4) unstable; urgency=medium

  [ Scott Howard ]
  * [8d1a31c] Rename package for GCC 5 transition. (Closes: #793243)

 -- Anton Gladky <gladk@debian.org>  Sun, 23 Aug 2015 22:27:04 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-3ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Rename library packages for g++5 ABI transition.
    - Do not build scilab plugin on ppc64el, or arm64
  * Dropped changes, included in Debian:
    - Do not build scilab plugin on powerpc

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 14:46:46 -0700

getfem++ (4.2.1~beta1~svn4635~dfsg-3) unstable; urgency=medium

  * [28e1de7] Remove failing autotest.

 -- Anton Gladky <gladk@debian.org>  Sun, 04 May 2014 17:44:44 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-2) unstable; urgency=medium

  * [8d1763d] Disable scilab on powerpc and mipsel.
  * [9dfe279] Add autotests.

 -- Anton Gladky <gladk@debian.org>  Sat, 03 May 2014 10:28:06 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-1) unstable; urgency=medium

  * [b00f6a2] Imported Upstream version 4.2.1~beta1~svn4635~dfsg. 
              (Closes: #743115)
  * [45e2e84] Update patches.

 -- Anton Gladky <gladk@debian.org>  Thu, 01 May 2014 22:49:51 +0200

=== debian/control ===
--- 
+++ 
@@ -22,14 +22,14 @@
  python-all-dev,
  python-numpy,
  python-scipy,
- python-support (>= 1.0.4),
- scilab [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x !powerpc !ppc64el !arm64],
- scilab-include  [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x !powerpc !ppc64el !arm64]
-Standards-Version: 3.9.5
+ scilab [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x !armel !powerpc !ppc64el !arm64],
+ scilab-include  [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x !armel !powerpc !ppc64el !arm64]
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://home.gna.org/getfem/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/getfem.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/getfem.git
+XS-Testsuite: autopkgtest
 
 Package: libgetfem++-dbg
 Section: debug
@@ -72,7 +72,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Conflicts: libgetfem4++
+Breaks: libgetfem4++
 Replaces: libgetfem4++
 Description: GETFEM++ generic finite element library
  GETFEM++ is a library allowing the computation of any elementary matrix (even

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 		--enable-muparser --enable-mumps \
 		--with-mumps="-lsmumps_seq -ldmumps_seq -lcmumps_seq -lzmumps_seq -lpord_seq"  
 
-disable_scilab_archs   = mips kfreebsd-amd64 kfreebsd-i386 s390x hurd-i386 armhf powerpc ppc64el arm64
+disable_scilab_archs   = mips kfreebsd-amd64 kfreebsd-i386 s390x hurd-i386 armhf powerpc ppc64el mipsel armel arm64
 ifneq (,$(filter $(DEB_HOST_ARCH), $(disable_scilab_archs)))
 	configure_flags += --disable-scilab
 else

=== debian/tests/control ===
Tests: checkGlobalFunctions.py demoLaplacian.py
Depends: python-getfem++

=== debian/watch ===
version=3
http://download.gna.org/getfem/stable/getfem-([\d.]+)\.tar\.gz

## getfem++ 5.0+dfsg1

=== debian/changelog ===
getfem++ (5.0+dfsg1-2) unstable; urgency=medium

  * [ed48876] Disable some failing tests.

 -- Anton Gladky <gladk@debian.org>  Sat, 13 Aug 2016 20:55:46 +0200

getfem++ (5.0+dfsg1-1) unstable; urgency=medium

  * [9d60233] Clean some outdated files in debian/
  * [7c602ec] Refresh patches.
  * [b5d9c68] Update autopkgtest.
  * [d9d1d36] Update getfem version to version 5.
  * [a5c700b] Disable one more failing on powerpc test.
  * [f767826] Fix typo in d/changelog.
  * [1912bfb] Fix FTBFS with gcc-6.
  * [24d9ddb] Update d/copyright.
  * [18eec2c] Disable scilab.
  * [8d54911] Imported Upstream version 5.0+dfsg1
  * [16305ad] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Aug 2016 21:52:07 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert commit 099be6a: The generated(?) d/control caused the FTBFS, as it
    removed several B-D lines. NOTE: d/control has been completely reverted,
    as many changes in d/control were not documented in the changelog, so
    assuming those were also not intended. (Closes: #818427)

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Apr 2016 22:58:15 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-6) unstable; urgency=medium

  * [536e769] Add scilab to BD on arm64. (Closes: #815478, #816741)
  * [099be6a] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Fri, 04 Mar 2016 21:57:27 +0100

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://download.gna.org/getfem/stable/getfem-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## getfem++ 5.1+dfsg1

=== doc/sphinx/source/userdoc/images/Makefile ===
--- 
+++ 
@@ -76,7 +76,10 @@
      getfemusermodelmasterslave.fig          \
      getfemusermodeldetectcontact.fig        \
      getfemusermodelfalsecontact1.fig        \
-     getfemusermodelfalsecontact2.fig
+     getfemusermodelfalsecontact2.fig        \
+     ALE_rotating_body.fig		     \
+     ALE_translation_body.fig		     \
+     ALE_rotating_conf.fig
 
 EPSFIGS=$(FIGS:.fig=.eps)
 PNGFIGS=$(FIGS:.fig=.png)

=== debian/changelog ===
getfem++ (5.1+dfsg1-3) unstable; urgency=medium

  * [4251c39] Disable failing test.

 -- Anton Gladky <gladk@debian.org>  Wed, 31 Aug 2016 15:26:43 +0200

getfem++ (5.1+dfsg1-2) unstable; urgency=medium

  * [bb6f6b9] Disable failing test.

 -- Anton Gladky <gladk@debian.org>  Thu, 25 Aug 2016 20:37:51 +0200

getfem++ (5.1+dfsg1-1) unstable; urgency=medium

  * [414ff64] Update d/watch.
  * [32cbff8] Refresh patches.
  * [aae1c00] Imported Upstream version 5.1+dfsg1

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Aug 2016 20:45:13 +0200

=== debian/control ===
Source: getfem++
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Konstantinos Poulios <poulios.konstantinos@gmail.com>,
           Anton Gladky <gladk@debian.org>
Section: libs
Testsuite: autopkgtest
Priority: extra
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               libblas-dev,
               libboost-all-dev,
               libmetis-dev,
               libmumps-seq-dev,
               libmuparser-dev,
               libqhull-dev,
               libsuperlu-dev,
               libtool,
               python-all-dev,
               python-numpy,
               python-scipy
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/getfem.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/getfem.git
Homepage: http://home.gna.org/getfem/
X-Python-Version: >= 2.5

Package: libgetfem++-dev
Architecture: any
Section: libdevel
Depends: libboost-dev,
         libgetfem5++ (= ${binary:Version}),
         libgmm++-dev,
         libmuparser-dev [!hurd-i386],
         libsuperlu-dev,
         ${misc:Depends}
Description: Development files for the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains development files for building software that uses the
 GETFEM++ library.

Package: libgetfem5++
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.

Package: libgmm++-dev
Architecture: all
Section: libdevel
Depends: libmumps-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Generic C++ template library for sparse, dense and skyline matrices
 GMM++ is a framework of pre-defined methods for matrix computation. It is built
 as a set of generic algorithms for any interfaced vector type or matrix type.
 .
 It can be viewed as a glue library allowing cooperation between several vector
 and matrix types. However, basic sparse, dense and skyline matrix/vector types
 are built-in, hence it can be used as a standalone linear algebra library.

Package: python-getfem++
Architecture: any
Section: python
Depends: libgetfem5++ (= ${binary:Version}),
         python (<< 2.8),
         python,
         python-numpy,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Description: Python interface to the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains the Python interface to GETFEM++.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2 --parallel --with autoreconf

#=====================================================================

export CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

export LD_LIBRARY_PATH :=$(LD_LIBRARY_PATH):$(CURDIR)/./src/.libs/

configure_flags= $(CROSS) --prefix=/usr \
		--enable-boost --enable-shared --with-pic \
		--enable-python --enable-metis \
		--disable-matlab --disable-superlu \
		--enable-muparser --enable-mumps --disable-scilab \
		--with-mumps="-lsmumps_seq -ldmumps_seq -lcmumps_seq -lzmumps_seq -lpord_seq"  

#=====================================================================

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_install:
	find . -name '*.pyc' -print0 | xargs -0 rm -f
	find . -name '*.pyo' -print0 | xargs -0 rm -f
	find . -name '*.la' -print0 | xargs -0 rm -f
	dh_install --list-missing
	dh_numpy

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_python2:
	dh_python2 --no-guessing-versions

#override_dh_auto_test:
#	dh_auto_test || true

=== debian/tests/control ===
Tests: checkGlobalFunctions.py checkLevelset.py demoCrack.py demoFictitiousDomains.py demoLaplacian.py demoMindlinReissnerPlate.py demoPlate.py
Depends: python-getfem++

## getfem++ 5.2+dfsg1

=== doc/sphinx/source/matlab/images/Makefile ===
#  Copyright (C) 1999-2017 Yves Renard
#
#  This file is a part of GetFEM++
#
#  GetFEM++  is  free software;  you  can  redistribute  it  and/or modify it
#  under  the  terms  of the  GNU  Lesser General Public License as published
#  by  the  Free Software Foundation;  either version 3 of the License,  or
#  (at your option) any later version along with the GCC Runtime Library
#  Exception either version 3.1 or (at your option) any later version.
#  This program  is  distributed  in  the  hope  that it will be useful,  but
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
#  or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the GNU Lesser General Public
#  License and GCC Runtime Library Exception for more details.
#  You  should  have received a copy of the GNU Lesser General Public License
#  along  with  this program;  if not, write to the Free Software Foundation,
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.

FIGS=hierarchy.fig

EPSFIGS=$(FIGS:.fig=.eps)
PNGFIGS=$(FIGS:.fig=.png)

.SUFFIXES: .fig .eps .png

.fig.eps:
	../../../../../bin/fig2eps $(@:.eps=.fig)

.eps.png:
	convert  -density 200 $(@:.png=.eps) $@

png: $(PNGFIGS)

clean:
	-rm -rf *.aux
	-rm -rf *.dvi
	-rm -rf *.log
	-rm -rf *.bak
	-rm -rf $(EPSFIGS)
	-rm -rf $(PNGFIGS)

=== doc/sphinx/source/userdoc/images/Makefile ===
--- 
+++ 
@@ -1,3 +1,20 @@
+#  Copyright (C) 1999-2017 Yves Renard
+#
+#  This file is a part of GetFEM++
+#
+#  GetFEM++  is  free software;  you  can  redistribute  it  and/or modify it
+#  under  the  terms  of the  GNU  Lesser General Public License as published
+#  by  the  Free Software Foundation;  either version 3 of the License,  or
+#  (at your option) any later version along with the GCC Runtime Library
+#  Exception either version 3.1 or (at your option) any later version.
+#  This program  is  distributed  in  the  hope  that it will be useful,  but
+#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+#  or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the GNU Lesser General Public
+#  License and GCC Runtime Library Exception for more details.
+#  You  should  have received a copy of the GNU Lesser General Public License
+#  along  with  this program;  if not, write to the Free Software Foundation,
+#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.
+
 FIGS=getfemlistargyris.fig                   \
      getfemlistcubeQ1.fig                    \
      getfemlistcubeQ3.fig                    \
@@ -77,6 +94,9 @@
      getfemusermodeldetectcontact.fig        \
      getfemusermodelfalsecontact1.fig        \
      getfemusermodelfalsecontact2.fig        \
+     getfemlistpyramidP0.fig                 \
+     getfemlistpyramidP1.fig                 \
+     getfemlistpyramidP2.fig                 \
      ALE_rotating_body.fig		     \
      ALE_translation_body.fig		     \
      ALE_rotating_conf.fig
@@ -90,7 +110,7 @@
 	../../../../../bin/fig2eps $(@:.eps=.fig)
 
 .eps.png:
-	convert -density 100 $(@:.png=.eps) $@
+	convert -density 200 $(@:.png=.eps) $@
 
 png: $(PNGFIGS)

=== debian/changelog ===
getfem++ (5.2+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * [7f95df8] Use (= ${source:Version}) for the libgmm++-dev. (Closes: #887618)
  * [8197c7b] Bump Standards-Version: 4.1.3
  * [e5c6cd0] Switch to compat-level 11
  * [0d4f384] Remove myself from uploaders
  * [432ed30] Remove testsuite-field in the d/control

 -- Anton Gladky <gladk@debian.org>  Sun, 04 Feb 2018 19:03:14 +0100

getfem++ (5.2+dfsg1-5) unstable; urgency=medium

  * [b7753e9] Install getfem_arch_config.h into gmm-folder. (Closes: #872670)
  * [94f31a4] Copy needed for compilation file in d/rules.
  * [58de27d] Add versioned depedndency on libgmm-dev.

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Aug 2017 14:27:42 +0200

getfem++ (5.2+dfsg1-4) unstable; urgency=medium

  * [942a518] Fix FTBFS caused by the previous upload

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Aug 2017 21:18:26 +0200

getfem++ (5.2+dfsg1-3) unstable; urgency=medium

  * [de659e0] Disable unreliable nonlinear_membrane test

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Aug 2017 20:12:41 +0200

getfem++ (5.2+dfsg1-2) unstable; urgency=medium

  * [69ba5ec] Disable failing on mips64el test static_contact_gears.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Aug 2017 20:45:52 +0200

getfem++ (5.2+dfsg1-1) unstable; urgency=medium

  * [f8488f5] Update d/watch
  * [1b52fd2] Refresh patches.
  * [9388eb9] New upstream version 5.2+dfsg1. (Closes: #853416, #848859)
  * [ff6bc15] Bumped Standards-Version: 4.0.0
  * [ed9c10d] Ignore quilt dir
  * [46e9a04] Update patches.
  * [d6b5094] Set compat level 10
  * [ba31161] Set the maximal hardening level.
  * [d2ed10a] Remove not needed depends.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Aug 2017 00:02:15 +0200

getfem++ (5.1+dfsg1-4) unstable; urgency=medium

  [ Graham Inggs ]
  * [a461f19] Add missing depends on python-scipy for autopkgtests.
              (Closes: #836420)

  [ Anton Gladky ]
  * [e7274dc] Allow stderr output in autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Mon, 26 Dec 2016 18:48:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with python2 --parallel --with autoreconf
+	dh $@ --with python2
 
 #=====================================================================
 
@@ -10,6 +10,8 @@
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 export LD_LIBRARY_PATH :=$(LD_LIBRARY_PATH):$(CURDIR)/./src/.libs/
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 configure_flags= $(CROSS) --prefix=/usr \
 		--enable-boost --enable-shared --with-pic \
@@ -22,6 +24,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(configure_flags)
+	cp $(CURDIR)/src/getfem/getfem_arch_config.h $(CURDIR)/src/gmm/
 
 override_dh_install:
 	find . -name '*.pyc' -print0 | xargs -0 rm -f

=== debian/tests/control ===
Tests: checkGlobalFunctions.py checkLevelset.py demoCrack.py demoFictitiousDomains.py demoLaplacian.py demoMindlinReissnerPlate.py demoPlate.py
Depends: python-getfem++
Restrictions: allow-stderr
